## kdeadmin-2.2.2.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdeadmin
# Version required:    1.0
# Date created:        19 October 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.3 1998/07/11 23:12:38 garbanzo Exp $
#
PKGNAME=	kdeadmin-`date "+%y%m%d"`
CATEGORIES+=	sysutils

MAINTAINER=	garbanzo@hooked.net

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdeadmin (4:2.2.2-1) unstable; urgency=low

  * New upstream version
  * use auto* again
  * lintian cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Nov 2001 19:26:00 -0700

kdeadmin (4:2.2.1-1.3) unstable; urgency=low

  * take out checks for auto* as it just hoses things

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Oct 2001 19:26:00 -0700

kdeadmin (4:2.2.1-1.2) unstable; urgency=low

  * fix configure

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 05 Oct 2001 09:28:00 -0700

kdeadmin (4:2.2.1-1.1) unstable; urgency=low

  * Workaround for stupid automake 1.5 issues

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Oct 2001 09:28:00 -0700

kdeadmin (4:2.2.1-1) unstable; urgency=low
 
  * New upstream version
  * Change maintainer
  * Lintian error cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Aug 2001 14:31:00 -0700

kdeadmin (4:2.2.0-final-1) unstable; urgency=low
 
  * New upstream version 2.2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Jul 2001 00:01:00 -0700

kdeadmin (4:2.2.0-0.1beta1-2) unstable; urgency=low
 
  * Use apt by default and not rpm for kpackage (Closes: #106937)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 28 Jul 2001 18:33:00 -0700

kdeadmin (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * sync with upstream
  * gcc3 build fixes
  * ksysctrl removed for now by upstream
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 26 Jul 2001 18:05:00 -0700

kdeadmin (4:2.2.0-0beta1-3) unstable; urgency=low
 
  * Depend on proper version of rpm so we don't crash (Closes: #103439)
  * Sync with upstream
  * More alpha build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 03:25:00 -0700

kdeadmin (4:2.2.0-0beta1-2) unstable; urgency=low
 
  * Sync with upstream
  * Autobuild for alpha now
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Jul 2001 02:20:00 -0700

kdeadmin (4:2.2.0-0beta1-1) unstable; urgency=low
 
  * Sync with upstream
  * fix mips build
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 20:30:00 -0700

kdeadmin (4:2.2-cvs20010622-1) unstable; urgency=low
 
  * New upstream version
  * 2.2 beta1
  * Adding in Enhances: tags
  * New package kcmlinuz - linux kernel configuration gui
  * Fix kpackage deps and crashes due to rpm (Closes: #99747, #97946)
  * build with nis support
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Jun 2001 06:30:00 -0700

kdeadmin (4:2.1.1-2) unstable; urgency=low
 
  * Update menu tags to include new kde menu removal tag
  * Update build-depends to recognize real | virtual
  * Adding in lintian overrides
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Apr 2001 17:28:00 -0700

kdeadmin (4:2.1.1-1.0.1) unstable; urgency=low
 
  * Rebuild with older libc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Mar 2001 16:33:00 -0700

kdeadmin (4:2.1.1-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 10:29:00 -0700

kdeadmin (4:2.1.0-3) unstable; urgency=low
 
  * Change Build-Depends and rebuild with new librpm packages (Closes: #89695)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 15 Mar 2001 10:29:00 -0700

kdeadmin (4:2.1.0-2) unstable; urgency=low
 
  * Adding rpm to build-depends (Closes: #87412) 
  * Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 11 Mar 2001 04:58:00 -0700

kdeadmin (4:2.1.0-1) unstable; urgency=low
 
  * Fresh CVS sync with future 2.1.1 version
  * Fixing build process for non-i386 systems (Closes: #87412)
  * Adding libbz2-dev to build-depends
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 04 Mar 2001 06:46:00 -0700

kdeadmin (4:2.1-final-1) unstable; urgency=low
 
  * New upstream version
  * Updating standards version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdeadmin (4:2.1-beta2-1) unstable; urgency=low
 
  * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 06:00:00 -0700

kdeadmin (4:2.1-20010115-1) unstable; urgency=low
 
  * More upstream fixes
  * Fixes assertion problems (Closes: #75073)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

kdeadmin (4:2.1-20010106-1) unstable; urgency=low
 
  * More upstream fixes
  * Fixing depends as well as updating them
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 06 Jan 2001 23:30:00 -0700

kdeadmin (4:2.1-20010101-1) unstable; urgency=low
 
  * More upstream fixes
    
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 17:05:00 -0700
     

kdeadmin (4:2.1-20001218-1) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 13:11:00 -0700

kdeadmin (4:2.1-20001216-1) unstable; urgency=low
 
  * More upstream fixes
  * Adding in conflicts for kdeadmin which I forgot to to along time ago
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Dec 2000 23:50:00 -0700

kdeadmin (4:2.1-20001213-1) unstable; urgency=low
 
  * New upstream beta version
  * Fix deb package indexing (Closes: #79060)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 18:00:00 -0700

kdeadmin (4:2.0-final-8) unstable; urgency=low
 
  * Fixing file conflicts (Closes: #77853)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Nov 2000 06:45:00 -0700

kdeadmin (4:2.0-final-7) unstable; urgency=low
 
  * More upstream fixes
  * build rules cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 21 Nov 2000 04:45:00 -0700

kdeadmin (4:2.0-final-6) unstable; urgency=low
 
  * More upstream fixes
  * More dependency cleanup - xlib6g vs xlibs
  * ftp-server depends fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 00:45:00 -0700

kdeadmin (4:2.0-final-5) unstable; urgency=low
 
  * More upstream fixes
  * More dependency cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 00:45:00 -0700

kdeadmin (4:2.0-final-4) unstable; urgency=low
 
  * More upstream fixes
  * adding menu hints
 


=== debian/control ===
Source: kdeadmin
Build-Depends: automake (>= 1:1.4-p4-1.1), autoconf, libtool, kdelibs-dev (>= 4:2.2.2-1), libpam0g-dev | libpam-dev, rpm, librpm0-dev, libpopt-dev, gettext, debhelper (>> 3.0.0), libbz2-dev, lilo [i386]
Section: admin
Priority: optional
Maintainer: Debian QA Team <packages@qa.debian.org>
Standards-Version: 3.5.6

Package: kuser
Architecture: any
Section: admin
Replaces: kdeadmin
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A user/group administration tool for KDE
 A user/group administration tool for KDE

Package: ksysv
Architecture: any
Section: admin
Replaces: kdeadmin
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: SysV-style init configuration editor
 This program allows you to edit your start and stop scripts using a 
 drag and drop GUI.

Package: kcmlinuz
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, kdebase
Suggests: kernel-source, kernel-package
Enhances: kernel-package
Description: KDE Frontend for the Linux kernel configuration
 kcmlinuz is a KDE based frontend to Linux kernel configuration.
 It runs out of the KDE Control Center.

Package: kcron
Architecture: any
Section: admin
Replaces: kdeadmin
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: Crontab editor for KDE
 Crontab editor for KDE

Package: kpackage
Architecture: any
Section: admin
Replaces: kdeadmin
Depends: ${shlibs:Depends}, apt, rpm (>= 4.0.2-0)
Recommends: kdebase-libs
Enhances: kdebase, apt, dpkg
Description: Software package tool for KDE
 This is a frontend to both .rpm and .deb package formats.  It allows you
 to view currently installed packages, browse available packages, and 
 install/remove them.

Package: kwuftpd
Architecture: any
Section: admin
Replaces: kdeadmin
Depends: ${shlibs:Depends}, wu-ftpd | ftp-server
Recommends: kdebase-libs
Enhances: kdebase
Description: wu-ftpd configuration tool
 This program allows you to manipulate the configuration files for 
 wu-ftpd.

Package: lilo-config
Architecture: i386
Section: admin
Depends: ${shlibs:Depends}, kdebase, lilo
Description: lilo configuration plugin for KDE
 lilo-config is a kcontrol plugin for configuring LILO, the most commonly
 used Linux boot loader.

Package: secpolicy
Architecture: any
Section: admin
Replaces: kdeadmin
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: PAM security policy configuration tool
 This tool allows you to manipulate the PAM configuration files for each
 "service" you have created to use PAM.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
 
# This is the debhelper compatability version to use.
export DH_COMPAT=3
tmp = $(shell pwd)/debian/kuser
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  COMPILER_FLAGS=CFLAGS="-O0 -mieee" CXXFLAGS="-O0 -mieee"
else
  COMPILER_FLAGS=CXX=g++ CC=gcc
endif

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi
	-chmod 755 configure
	$(COMPILER_FLAGS) \
	./configure $(configkde) --with-rpm --with-pam=kde \
		--with-nis

	$(MAKE)
	touch build-stamp

clean: debian-clean
	dh_clean

debian-clean:
	dh_testdir
	-rm -f build-stamp
	if test -d CVS; then \
	  $(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi
	-$(MAKE) distclean

binary-indep: build
	dh_testroot
	dh_testdir

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	cp debian/*.override $(tmp)/usr/share/lintian/overrides/
	for i in `ls $(tmp)/usr/share/lintian/overrides/`; do \
		mv $(tmp)/usr/share/lintian/overrides/$$i $(tmp)/usr/share/lintian/overrides/`echo $$i | sed -e 's#.override##'`; \
	done
	$(MAKE) install DESTDIR=$(tmp)/
	echo "# KDE Config File"          > $(tmp)/etc/kde2/ksysvrc
	echo "[Path Settings]"            >> $(tmp)/etc/kde2/ksysvrc
	echo "ScriptPath=/etc/init.d" >> $(tmp)/etc/kde2/ksysvrc
	echo "RunlevelPath=/etc" >> $(tmp)/etc/kde2/ksysvrc
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i; \
		ln -s ../common $$i ;\
	done
	dh_installman -s
	dh_movefiles -s --sourcedir=debian/kuser
	install -d debian/kpackage/etc/kde2
	cp debian/kpackagerc debian/kpackage/etc/kde2/
	dh_installdocs -s
	dh_installmenu -s
	dh_installmime -s
	dh_installchangelogs -pkcron kcron/ChangeLog
	dh_installchangelogs -pkpackage kpackage/CHANGES
	dh_installchangelogs -pksysctrl
	dh_installchangelogs -pkcmlinuz
	dh_installchangelogs -pksysv ksysv/CHANGES
	dh_installchangelogs -pkuser kuser/ChangeLog
	dh_installchangelogs -pkwuftpd
	dh_installchangelogs -psecpolicy
	dh_installchangelogs -plilo-config
	dh_strip -s
	dh_perl -s
	dh_compress -s -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
